using BPA.Message.Enum;
using System;

namespace HBLConsole.Abstract
{
    public abstract class AbstractMessageServer
    {
        public abstract void GetBatchingInfo<T>(T batchingInfo);

        public abstract void GetBatchingInfo(int ClientId);

        public abstract void AddOrder<T>(T orderInfo);

        public abstract void GetRecipeBom<T>(T recipeBomInfo);

        public abstract bool OrderStatusChange(string subOrderId, ORDER_STATUS status);

    }
}
